## pyinstaller 6.16.0+ds

=== doc/requirements.txt ===
alabaster==0.7.16
altgraph==0.17.4
Babel==2.15.0
charset-normalizer==3.3.2
click==8.1.7
docutils==0.20.1
idna==3.7
imagesize==1.4.1
incremental==22.10.0
Jinja2==3.1.4
MarkupSafe==2.1.5
Pygments==2.18.0
pytz==2024.1
requests==2.32.3
snowballstemmer==2.2.0
Sphinx==7.3.7
sphinx-autodoc-typehints==2.2.2
sphinxcontrib-applehelp==1.0.8
sphinxcontrib-devhelp==1.0.6
sphinxcontrib-htmlhelp==2.0.5
sphinxcontrib-jquery==4.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.7
sphinxcontrib-serializinghtml==1.1.10
sphinxcontrib-towncrier==0.4.0a0
sphinx-issues==4.1.0
sphinx-rtd-theme==2.0.0
towncrier==23.11.0
urllib3==2.2.2
