=== debian/tests/control ===
Tests: upstream-tests
Depends: @,
         ghostscript,
         pyqt6-dev-tools,
         python3-all-dev,
         python3-dev,
         python3-django,
         python3-elementpath,
         python3-gevent,
         python3-ipython,
         python3-jinja2,
         python3-lxml,
         python3-matplotlib,
         python3-numpy,
         python3-pandas,
         python3-pil,
         python3-psutil,
         python3-pygments,
         python3-pyqt5.qtmultimedia,
         python3-pyqt5.qtquick,
         python3-pyqt5.qtwebengine,
         python3-pyqt6.qtmultimedia,
         python3-pyqt6.qtqml,
         python3-pyqt6.qtquick,
         python3-pyqt6.qtwebengine,
         python3-pyside2.qtcore,
         python3-pyside2.qtmultimedia,
         python3-pyside2.qtnetwork,
         python3-pyside2.qtqml,
         python3-pyside2.qtquick,
         python3-pyside2.qtuitools,
         python3-pyside2.qtwebengine,
         python3-pyside2.qtwebenginewidgets,
         python3-pyside2.qtwidgets,
         python3-pyside6.qtmultimedia,
         python3-pyside6.qtnetwork,
         python3-pyside6.qtquick3d,
         python3-pyside6.qtquickcontrols2,
         python3-pyside6.qtquickwidgets,
         python3-pyside6.qtuitools,
         python3-pyside6.qtwebenginequick,
         python3-pyside6.qtwebenginewidgets,
         python3-pytest,
         python3-pytest-xvfb,
         python3-requests,
         python3-scapy,
         python3-scipy,
         python3-six,
         python3-sphinx,
         python3-sqlalchemy,
         python3-tk,
         python3-twisted,
         python3-urllib3,
         python3-zeep,
         python3-zope.interface,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtwebengine,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine,
         xmldiff
