=== debian/changelog ===
pyinstaller (6.18.0+ds-2) unstable; urgency=medium

  * debian/tests/upstream-tests:  Bump parallelism from 4 to 8 threads
    (closes: #1127140).
  * debian/rules:  Bump test parallelism from 4 to 8 threads.

 -- Soren Stoutner <soren@debian.org>  Tue, 10 Feb 2026 16:35:33 -0700

pyinstaller (6.18.0+ds-1) unstable; urgency=medium

  * New upstream release (closes: #1124193).
  * Add debian/patches/fix-pyi-spec-options-test.patch (closes: #1124193).
  * Add python3-pyinstaller.lintian-overrides and override
    repeated-path-segment.
  * debian/source/lintian-overrides:
    - Update line numbers for two overrides.
    - Add overrides for:
      - debian-watch-does-not-check-openpgp-signature
      - maintainer-manual-page
  * debian/tests/control:  Add Depends on:
    - python3-pyside6.qtdbus
    - python3-pyside6.qtpositioning
    - tzdata-legacy
  * debian/tests/upstream-tests:  No longer disable test_pytz.
  * debian/control:
    - Add Build-Depends on:
      - python3-pyside6.qtdbus <!nocheck>
      - python3-pyside6.qtpositioning <!nocheck>
      - tzdata-legacy <!nocheck>
    - Remove Build-Depends on "python3-pkg-resources <!nocheck>"
      (closes: #1125841).
    - Bump Standards-Version from 4.7.2 to 4.7.3, removing the now-redundant
      "Priority: optional" field.
  * debian/copyright:  Update my copyright years to be 2024-2026.
  * debian/lrc.config:  Add overrides for two new files.
  * debian/rules:  No longer disable test_pytz.

 -- Soren Stoutner <soren@debian.org>  Fri, 30 Jan 2026 21:48:10 -0700
