=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # * test_zope_interface fails because it depends on pyinstaller-hooks-contrib, which is not yet packaged.
 # * test_scapy3 fails with an import error.  It might be fixed once pyinstaller-hooks-contrib is packaged.
 # * test_Qt_QTranslate fails for a currently unknown reason (an assertion error).  It might be fixed when pyinstaller-hooks-contrib is packaged.
-export PYBUILD_TEST_ARGS=-n 4 -k 'not test_find_module \
+export PYBUILD_TEST_ARGS=-n 8 -k 'not test_find_module \
   and not test_Qt_QTranslate \
   and not test_scapy3 \
   and not test_gevent \
