=== debian/tests/control ===
--- 
+++ 
@@ -32,15 +32,17 @@
          python3-pyside2.qtwebengine,
          python3-pyside2.qtwebenginewidgets,
          python3-pyside2.qtwidgets,
+         python3-pyside6.qtdbus,
          python3-pyside6.qtmultimedia,
          python3-pyside6.qtnetwork,
          python3-pyside6.qtquick3d,
          python3-pyside6.qtquickcontrols2,
          python3-pyside6.qtquickwidgets,
+         python3-pyside6.qtpositioning,
          python3-pyside6.qtuitools,
          python3-pyside6.qtwebenginequick,
          python3-pyside6.qtwebenginewidgets,
-         python3-pytest,
+         python3-pytest-xdist,
          python3-pytest-xvfb,
          python3-requests,
          python3-scapy,
@@ -60,4 +62,5 @@
          qml6-module-qtquick-controls,
          qml6-module-qtquick-window,
          qml6-module-qtwebengine,
+         tzdata-legacy,
          xmldiff
